commit abf2030556dfe694dc19ed2d73f84f7e5046b660
Author: Ian Kent <raven@themaw.net>
Date:   Thu Jul 11 13:56:15 2024 +0800

    autofs-5.1.9 - fix amd cache options not copied
    
    The cache options set when parsing the amd map entry are not copied to
    the list entry that gets processed by the caller.
    
    Signed-off-by: Ian Kent <raven@themaw.net>

diff --git a/CHANGELOG b/CHANGELOG
index 30d311eb5..b337eeb36 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -10,6 +10,7 @@
 - refactor amd function do_program_mount().
 - refactor umount_amd_ext_mount().
 - add flags argument to amd do_program_mount().
+- fix amd cache options not copied.
 
 02/11/2023 autofs-5.1.9
 - fix kernel mount status notification.
diff --git a/modules/amd_parse.y b/modules/amd_parse.y
index 17fd9b209..603ec7888 100644
--- a/modules/amd_parse.y
+++ b/modules/amd_parse.y
@@ -888,6 +888,7 @@ static int add_location(void)
 		new->path = entry.path;
 	}
 	new->flags = entry.flags;
+	new->cache_opts = entry.cache_opts;
 	new->type = entry.type;
 	new->map_type = entry.map_type;
 	new->pref = entry.pref;
